package com.heyu.api.data.dao.calca;
/**
* <p>
* 定时任务 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.ScheduleJobEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ScheduleJobDao extends BaseMapper<ScheduleJobEntity> {


	ScheduleJobEntity selectScheduleJobById(@Param("id")Long id);


	Long insertScheduleJob(ScheduleJobEntity scheduleJob);


	Long insertOrUpdateScheduleJob(ScheduleJobEntity scheduleJob);


	int updateScheduleJobById(ScheduleJobEntity scheduleJob);


	int updateCoverScheduleJobById(ScheduleJobEntity scheduleJob);


	int deleteScheduleJobById(@Param("id")Long id);


	List<ScheduleJobEntity> selectScheduleJobsByStatus(Integer status);
}